agency-board
POST /v1/agency/boards/{boardId}/webhook-deliveries/{deliveryId}/replay
Send the same payload again.
Autentikasi
Kirimkan kunci API sebagai token bearer. Titik akhir ini tidak menyatakan izin tertentu dalam spesifikasi, jadi berikan kunci Anda izin minimum yang diperlukan dan periksa responsnya alih-alih berasumsi.
Endpoint ini tidak memerlukan id organisasi. Kunci Anda telah mengidentifikasi organisasi tempatnya berafiliasi, dan respons akan dibatasi untuk organisasi tersebut.
Coba
Ganti apa pun di dalam tanda kurung sudut dengan nilai Anda sendiri, dan placeholder kunci dengan kunci dari dasbor Anda.
curl -X POST https://api.zinndigital.com/v1/agency/boards/{boardId}/webhook-deliveries/{deliveryId}/replay \
-H "Authorization: Bearer zdk_live_…"Sudah masuk? Konsol API di dasbor Anda akan mengisi ID organisasi asli dan kunci Anda sendiri, serta menjalankan permintaan terhadap API langsung sehingga Anda dapat melihat respons aktualnya. Buka titik akhir ini di konsol API
Detail
Re-sends the STORED bytes with a fresh timestamp and a fresh signature over those same bytes. Nothing is re-serialised — a different byte string would produce a signature the receiver cannot verify, which fails as *"your signatures are wrong"* on their side and is unfalsifiable from ours.
Parameter
| Nama | Jenis | Wajib | Tentang apa ini |
|---|---|---|---|
boardId (path) | Uuid | Ya | Project board ID (UUIDv7). |
deliveryId (path) | Uuid | Ya | Webhook delivery ID (UUIDv7). |
Tanggapan
| Nama | Jenis | Wajib | Tentang apa ini |
|---|---|---|---|
id | Uuid | Ya | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
subscription_id | Uuid | Ya | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
event | string | Ya | — |
delivery_key | string | Ya | Sent as `X-Zinn-Delivery`, so the receiver can dedupe too. |
payload | object | Tidak | The body exactly as it was signed and sent. |
status | BoardWebhookDeliveryStatus | Ya | — |
attempts | integer | Ya | — |
response_status | integer | Tidak | — |
response_snippet | string | Tidak | The first 500 bytes your endpoint answered with. When it answered but sent no body, the status we observed; when we could not reach it, or the fault was ours, authored copy sayi… |
next_attempt_at | string | Tidak | — |
delivered_at | string | Tidak | — |
replay_of_id | Uuid | Tidak | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
created_at | string | Ya | — |
Kesalahan yang dapat dikembalikan oleh titik akhir ini
401 · 403 · 404